import { Description } from "./Description";
import { Type } from "./type";
/**
 * @hidden
 */
export declare class DataContextDescription extends Description {
    static $t: Type;
    protected get_type(): string;
    get type(): string;
    constructor();
    private k;
    get itemRef(): string;
    set itemRef(a: string);
    private h;
    get actualItemBrush(): string;
    set actualItemBrush(a: string);
    private m;
    get outline(): string;
    set outline(a: string);
    private j;
    get itemLabelRef(): string;
    set itemLabelRef(a: string);
    private i;
    get itemBrush(): string;
    set itemBrush(a: string);
    private f;
    get thickness(): number;
    set thickness(a: number);
    private l;
    get legendLabelRef(): string;
    set legendLabelRef(a: string);
}
